Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030509
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 06. Material requirement planning (MRP)majoralways2015-08-06 14:292015-11-23 21:16
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision29524c0b6c24
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030509: The MRP only takes into account the process plan version valid when it is being processed

DescriptionThe MRP only takes into account the process plan version valid when it is being processed.

If there are more than one process plan valid versions in the same month, the manufacturing plan process should take into account the planned order date in order to calculate the correct version in each case.
Steps To ReproduceThe MRP only takes into account the process plan version valid when it is being processed.

If there are more than one process plan valid versions in the same month, the manufacturing plan process should take into account the planned order date in order to calculate the correct version in each case.

please follow the steps provided in the following document [1] in order to reproduce the problem.

[1] https://docs.google.com/a/openbravo.com/document/d/1nXctaPx9tAFxb2QP7Gj43T9vmOcFAYjUN-D_iNTwixk/edit?usp=sharing [^]
Proposed SolutionIf there are more than one process plan valid versions in the same month, the manufacturing plan process should take into account the planned order date in order to calculate the correct version in each case.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0080574)
AtulOpenbravo (developer)
2015-09-23 11:53

Test Plan

- Following steps given in http://wiki.openbravo.com/wiki/ERP_2.50:How-to_MRP [^]
MRP: A second example.

- Create two products Leg A and Leg B (Refer above link and create similar as Product Leg) to differentiate between Process Plan Versions.

- Create Process Plan Versions with date as
1. Date From 01-01-2015 Date To 01-06-2015 (Use product use (p-) as Leg A)
2. Date From 01-06-2015 Date To 31-12-2015 (Use product use (p-)as Leg B)

- Create two different Sales Order one each in above two date slots. Complete them.

- Create Manufacturing Plan for both sales order dates and run Process Manufacturing Plan button.

- Check that in manufacturing plan lines for first slot product Leg A is used and for second slot product leg B is used.
(0080704)
psanjuan (manager)
2015-09-29 14:00
edited on: 2015-10-01 13:32

Test Plan

Configuration steps:

The organization to be used is F&B España, for instance, so all master data below can be created for F&B España organization.

-Go to Planning Method window and create below Planning Method.
Planning Method Test.
-Select all transactions type in lines 10..50 (Material Requirement, Sales Forecast, Pending Purchase Order, Pending Sales Order and Pending Work Requirement). Weighting = 1 for each line.
-Do not enter any Days from/to, to make it simple.

-Go to Planner and create "Planner 1".

-Go to Product window and create below 3 products:

(1) Search Key = Name = 02317077-REV-X1. Set as "Purchase" = Yes, "Sale" = NO, "Production" = Yes
Go to price tab and select "Tarifa Bebidas Alegres" - Unit Price = List Price = 100.00
Go to Manufacturing tab and enter below data: "Planning Method Test", and "Planner 1".

(2) Search Key = Name = 02317079-REV-X1. Set as "Purchase" = No, "Sale" = Yes, "Production" = Yes.
Go to Manufacturing tab and enter below data: "Planning Method Test", "Planner 1" and a Storage bin.
Go to Price tab and select a sales price list "Tarifa de Ventas". Unit = List Price = 150.00

(3) Search Key = Name = 02317077-REV-X2. Set as "Purchase" = Yes, "Sale"= No, "Production" = Yes
Tarifa Bebidas Alegres - Unit Price = List Price = 90.00
Go to Manufacturing tab and enter below data: "Planning Method Test" and "Planner 1".
- Go to "Activity" window and create an activity/operation named "Build". Save.

- Go to "Process Plan" window and create a new one named "WP201-REV"
- Go to "Version" tab and create two versions one starting from/to 01-01-2015/05-08-2015; and the other one starting from/to 05-08-2015/31-12-9999
- Select version 1 and enter operation Build. Go to I/O Products and enter below P+, P-:
Product = 02317079-REV-X1 - as P+, Quantity = 1
Product = 02317077-REV-X1 - as P-, Quantity= 1
- Select verion 2 and enter operation Build. Go to I/O Products and enter below P+, P-:
Product = 02317079-REV-X1 - as P+, Quantity = 1
Product = 02317077-REV-X2 - as P-, Quantity= 1

- Go to Product window and enter above created "Process Plan" "WP201-REV" for each of these three products.

- Create a goods receipt for product 02317077-REV-X1 for 15 units dated on 01-01-2015. Complete it.

Execution steps:

A.

- Go to "MRP Forecast" window and create a new one with below setup: Document Date 02-08-2015,BP = Alimentos y Supermercados.
- Go to lines tab and enter below data:
Planned date = 03-08-2015
Product = 02317079-REV-X1

- Go to Manufacturing Plan window create a new one dated on 02-08-2015. Time Horizon = 30 days, Select product 02317079-REV-X1
- Process Manufacturing Plan.
- Realize that "Suggested Material requirement" uses Process Plan version 1, that is the one that uses product = 02317077-REV-X1 with a planned order date = 03-08-2015
- Delete Manufacturing Plan lines by deleting on following listed Transaction Type order:
Stock, Minimum Stock, Suggested Material Requirement, Suggested Work Effort and Sales Forecast.


B.

- Go to "MRP Forecast" window, select the one created above and change Planned date to 10-08-2015
- Go to Manufacturing Plan window and Process it once again.
- Realize that "Suggested Material requirement" uses Process Plan version 2, that is the one that uses product = 02317077-REV-X2, with a planned order date = 10-08-2015
- Delete Manufacturing Plan lines by deleting on following listed Transaction Type order:
Stock, Minimum Stock, Suggested Material Requirement, Suggested Work Effort and Sales Forecast.

C.

- Go to MRP Forecast window and delete the record.
- Go to Sales Order window and create a new order for BP = Alimentos y Supermercados, order date = 02-08-2015, scheduled delivery date = 03-08-2015, for 1 unit of product 02317079-REV-X1. Complete the order.
- Go to Manufacturing Plan and process the manufacturing plan created.
- Realize that "Suggested Material requirement" uses Process Plan version 1, that is the one that uses product = 02317077-REV-X1 with a planned order date = 03-08-2015
- Delete Manufacturing Plan lines by deleting on following listed Transaction Type order:
Stock, Minimum Stock, Suggested Material Requirement, Suggested Work Effort and Sales Forecast.
- Go to Sales order window and Reactivate the order. Change Scheduled Deliver Date to 10-08-2015. Save and Book the order.
- Go to Manufacturing Plan and process the manufacturing plan created.
- Realize that "Suggested Material requirement" uses Process Plan version 2, that is the one that uses product = 02317077-REV-X2 with a planned order date = 10-08-2015

(0080786)
psanjuan (manager)
2015-10-01 13:33

Test Plan above verified.
Issue can be closed after tech review.
(0080797)
hgbot (developer)
2015-10-02 08:31

Repository: erp/devel/pi
Changeset: 29524c0b6c24f87b21861020d3026657b4145f3f
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Oct 01 14:31:43 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/29524c0b6c24f87b21861020d3026657b4145f3f [^]

Fixes Issue 30509:The MRP only takes into account the process plan version
valid when it is being processed

- MA_ProcessPlan_Totalized view is changed to not only to consider processplan
versions in the current date now(). Also Column added showing Date From and
Date To for Process Plan versions.
- Latest version is selected for MRP_Run_Lines's Produced product based on
Planned Order Date from MA_ProcessPlan_Totalized available versions.

---
M src-db/database/model/functions/MRP_RUN_EXPLODE.xml
M src-db/database/model/views/MA_PROCESSPLAN_TOTALIZED.xml
---
(0080798)
vmromanos (developer)
2015-10-02 08:32

Code review OK
(0082106)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-08-06 14:29 VictorVillar New Issue
2015-08-06 14:29 VictorVillar Assigned To => Triage Finance
2015-08-06 14:29 VictorVillar Modules => Core
2015-08-06 14:29 VictorVillar Triggers an Emergency Pack => No
2015-08-06 14:29 VictorVillar Issue Monitored: networkb
2015-08-28 15:11 VictorVillar Note Added: 0079800
2015-08-28 15:11 VictorVillar Type design defect => defect
2015-08-28 15:39 VictorVillar Note Deleted: 0079800
2015-08-28 15:40 VictorVillar Type defect => design defect
2015-09-03 10:27 VictorVillar Type design defect => defect
2015-09-04 09:33 VictorVillar Steps to Reproduce Updated View Revisions
2015-09-16 10:00 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-09-16 10:01 AtulOpenbravo Status new => scheduled
2015-09-23 11:53 AtulOpenbravo Note Added: 0080574
2015-09-29 14:00 psanjuan Note Added: 0080704
2015-10-01 10:32 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 11:09 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 12:00 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 12:02 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 12:15 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 12:18 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 12:29 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 12:31 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 12:34 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 12:41 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 12:44 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 12:45 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 13:23 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 13:24 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 13:32 psanjuan Note Edited: 0080704 View Revisions
2015-10-01 13:33 psanjuan Note Added: 0080786
2015-10-02 08:31 hgbot Checkin
2015-10-02 08:31 hgbot Note Added: 0080797
2015-10-02 08:31 hgbot Status scheduled => resolved
2015-10-02 08:31 hgbot Resolution open => fixed
2015-10-02 08:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/29524c0b6c24f87b21861020d3026657b4145f3f [^]
2015-10-02 08:32 vmromanos Review Assigned To => vmromanos
2015-10-02 08:32 vmromanos Note Added: 0080798
2015-10-02 08:32 vmromanos Status resolved => closed
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082106


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker